# Get Instagram channel information

Returns the information for an Instagram channel linked to a Conversation API App.

Endpoint: GET /v1/projects/{projectId}/conversation/apps/{conversationAppId}/instagram
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `conversationAppId` (string, required)
    The unique ID of the app. You can find this on the Sinch Dashboard.

## Response 200:

  - `200` (unknown)
    Instagram information.

## Response 200 fields (application/json):

  - `status` (string, required)
    Channel integration status.
    Enum: "ACTIVE", "ERROR", "FAILING", "PENDING", "UNRECOGNIZED"

  - `statusDescription` (string)
    Channel integration description if status is ERROR or FAILED.

  - `id` (string)
    Instagram ID.

  - `name` (string)
    Public profile name if set.

  - `username` (string)
    Profile username.

  - `biography` (string)
    Public profile biography if set.

  - `followersCount` (number)
    Total number of Instagram users following the sender.

  - `followsCount` (number)
    Total number of Instagram users the sender follows.

  - `mediaCount` (number)
    Total number of Instagram Media published on the sender.

  - `profilePictureUrl` (string)
    Public profile picture URL if set.

  - `website` (string)
    Public profile website URL if set.

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: conversation_app_id_invalid

  - `message` (string)
    Human readable message.
    Example: Conversation app id not valid.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify the id is correct.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: conversation_app_not_found

  - `message` (string)
    Human readable message.
    Example: Conversation app not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the parameters are correct.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: facebook_api_error

  - `message` (string)
    Human readable message.
    Example: Facebook API returned error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please try again later.

## Response 200 examples:

  - `Example sender information response` (unknown)
    The information for the Instagram page connected to the Conversation API App.

